package com.ejie.ab78.comun;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 
 *  
 * 
 */
public class Constantes {

	/**
	 *  
	 * 
	 */
	private Constantes() {

	}

	public static final String ACCESS_DENIED = "accessDenied";
	public static final String ACCESS_ERROR = "error";

	public static final int MAGIC_NUMBER_0 = 0;

	public static final int MAGIC_NUMBER_4 = 4;
	public static final int MAGIC_NUMBER_21 = 21;
	public static final int MAGIC_NUMBER_107 = 107;
	public static final int MAGIC_NUMBER_230 = 230;

	public static final int MAGIC_NUMBER_100 = 100;
	public static final int MAGIC_NUMBER_110 = 110;
	public static final int MAGIC_NUMBER_1900 = 1900;
	public static final int MAGIC_NUMBER_3000 = 3000;

	public static final String CODIGO_APLICACION = "AB78";
	public static final String ID_APLICACION = "4";
	public static final int AB78_ID_APLICACION = 4;

	public static final Long SOLICITANTE = 1L;
	public static final Long PERSONA_CONTACTO = 2L;
	public static final Long REPRESENTANTE_LEGAL = 6L;

	public static final int COD_DIRECCION_TURISMO = 1;
	public static final int ID_TIPO_DIRECCION_ESTABLECIMIENTO_EXPEDIENTE = 2;

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE AYUDA
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE LOS COMBOS MINORACION Y DENEGACION
	// ////////////////////////////////////////////////////////////////////////
	// //////////////////////////////////////////////////////////////////////
	// ID DE LAS DIRECCIONES DEL SOLICITANTE TITULAR DEL EXPEDIENTE
	// ////////////////////////////////////////////////////////////////////////

	public static final long ID_DIRECCION_ACTIVIDAD = 2;
	public static final long ID_DIRECCION_NOTIF_POSTAL = 4;
	// //////////////////////////////////////////////////////////////////////
	// ROLES DE LOS USUARIOS DE LA APLICACION
	// ////////////////////////////////////////////////////////////////////////
	public static final int PARTICIPANTE_TITULAR = 0;
	public static final int PARTICIPANTE_REPRESENTANTE = 1;
	public static final int PARTICIPANTE_OTRO_AFECTADO = 2;
	public static final int PARTICIPANTE_REPRESENTANTE_LEGAL = 6;
	public static final int PARTICIPANTE_PERSONA_CONTACTO = 2;
	public static final int PARTICIPACION_SOLICITANTE = 1;
	public static final int PARTICIPACION_AFECTADO = 3;

	// //////////////////////////////////////////////////////////////////////
	// ID DE EXPEDIENTE VALIDADOS
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE CONOCATORIAS
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE TERCEROS
	// ////////////////////////////////////////////////////////////////////////
	public static final int ID_TIPO_TERCERO_SOLICITANTE = 1;
	public static final int ID_TIPO_TERCERO_AFECTADO = 3;
	public static final int ID_TIPO_TERCERO_DENUNCIANTE = 5;
	public static final int ID_TIPO_TERCERO_DENUNCIADO = 7;

	public static final int ID_SUBTIPO_TERCERO_PARTES_INCULPADAS = 1;
	// PIF
	public static final String PIF_TIEMPO_EXISTENCIA = "1296000";
	// //////////////////////////////////////////////////////////////////////
	// TIPOS DE DOCUMEMTOS DE PLATEA
	// ////////////////////////////////////////////////////////////////////////

	/////////////////////////////////////////////////////////////////////////
	// TIPOS DE CANALES DE AVISO
	//////////////////////////////////////////////////////////////////////////
	// //////////////////////////////////////////////////////////////////////
	// IDIOMAS DE LA APLICACION
	// ////////////////////////////////////////////////////////////////////////
	/**
	 * 
	 */
	/*
	 * public static class Language { public static final String CASTELLANO =
	 * "es"; public static final String EUSKERA = "eu"; }
	 */

	public static final String CASTELLANO = "es";
	public static final String EUSKERA = "eu";

	public static final String FICHERO_CONFIGURACION = "/ab78/ab78.properties";

	// //////////////////////////////////////////////////////////////////////
	// CONST DE SOLICITANTE AYUDA CTP
	// ////////////////////////////////////////////////////////////////////////
	
	// //////////////////////////////////////////////////////////////////////
	// CONST DE COMBOS DE ESTUDIO TECNICO
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// CONST DE INSPECIONABLE EN FACTURAS DE AYUDA MEC
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// CONST DE INSPECIONABLE AB61
	// ////////////////////////////////////////////////////////////////////////
	public static final String PROCEDIMIENTO_INSPECCIONABLE = "1";
	public static final String PARAMETRO_CONFIG_INSPECCIONABLE_AB61 = "COD_ABRIR_INSPECCION";

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE PLANTILLAS
	// ////////////////////////////////////////////////////////////////////////
	public static final int ORIGEN_EXPEDIENTE = 1;

	// //////////////////////////////////////////////////////////////////////
	// PARAMETROS CONFIGURACION DE PLANTILLAS
	// ////////////////////////////////////////////////////////////////////////

	public static final int VALOR_DESCARGAR = 0;
	public static final int VALOR_TRAMITAR_ONLINE = 1;
	public static final int VALOR__DESCARGAR_Y_ONLINE = 2;
	public static final String CONFIGURACION_DOCUMENTOS = "Configuracion_Documentos";

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA EL MODULO CONTABLE
	// ////////////////////////////////////////////////////////////////////////

	public static final Integer IDIOMA_TODOS = 3;
	public static final Integer IDIOMA_NINGUNO = -1;
	public static final Integer IDIOMA_ES = 1;
	public static final Integer IDIOMA_EU = 0;

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA LAS PROVINCIAS
	// ////////////////////////////////////////////////////////////////////////

	public static class FicheroContable {
		public static final String TIPO_REGISTRO = "0";
	}

	/** StringBuilder initilization value */

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA LOS ARCHIVOS MAK y REL
	// ////////////////////////////////////////////////////////////////////////

	public static final String PROCEDIMIENTO_DESCONOCIDO = "none";
	public static final String PROCEDIMIENTO_DENUNCIA_TURISMO = "1015002";
	public static final String PROCEDIMIENTO_DENUNCIA_COMERCIO = "1078201";
	public static final String PROCEDIMIENTO_DENUNCIA_TUQ = "T49_TU-Q-001";
	public static final String PROCEDIMIENTO_DENUNCIA_NO_FORMAL = "1114101";

	public static final String PROCEDIMIENTO_COMPROBACION_DE_OFICIO = "0012807";

	// TODO BORRAR
	public static final String PROCEDIMIENTO_INICIO_ACTIVIDAD = "0012801";
	public static final String PROCEDIMIENTO_MODIFICACIONES_ACTIVIDAD = "0012802";
	public static final String PROCEDIMIENTO_CESE_ACTIVIDAD = "0012803";
	public static final String PROCEDIMIENTO_DISPENSAS_ACTIVIDAD = "0012804";
	public static final String PROCEDIMIENTO_CONSULTAS_ACTIVIDAD = "0012805";
	public static final String PROCEDIMIENTO_ADAPTACION_DECRETO_ACTIVIDAD = "0012806";

	public static final String PESTANA_EXPEDIENTE = "PESTANA_EXPEDIENTE";
	public static final String PESTANA_ASOCIAR_ESTABLECIMIENTO = "PESTANA_ASOCIAR_ESTABLECIMIENTO";
	public static final String PESTANA_CAMBIOS_PENDIENTES = "PESTANA_CAMBIOS_PENDIENTES";
	public static final String PESTANA_OBSERVACIONES = "PESTANA_OBSERVACIONES";

	private static final HashMap<String, List<String>> mapPestanasProcedure = new HashMap<String, List<String>>(8);
	static {
		ArrayList<String> defaultConfig = new ArrayList<String>(1);
		defaultConfig.add(PESTANA_EXPEDIENTE);

		ArrayList<String> commonConfig = new ArrayList<String>(3);
		commonConfig.add(PESTANA_EXPEDIENTE);
		commonConfig.add(PESTANA_ASOCIAR_ESTABLECIMIENTO);
		commonConfig.add(PESTANA_OBSERVACIONES);

		ArrayList<String> inicioConfig = new ArrayList<String>(2);
		inicioConfig.add(PESTANA_EXPEDIENTE);
		inicioConfig.add(PESTANA_ASOCIAR_ESTABLECIMIENTO);

		ArrayList<String> modConfig = new ArrayList<String>(2);
		modConfig.add(PESTANA_EXPEDIENTE);
		modConfig.add(PESTANA_CAMBIOS_PENDIENTES);

		mapPestanasProcedure.put(PROCEDIMIENTO_DESCONOCIDO, defaultConfig);
		mapPestanasProcedure.put(PROCEDIMIENTO_COMPROBACION_DE_OFICIO, defaultConfig);
		mapPestanasProcedure.put(PROCEDIMIENTO_CESE_ACTIVIDAD, defaultConfig);

		mapPestanasProcedure.put(PROCEDIMIENTO_INICIO_ACTIVIDAD, inicioConfig);
		mapPestanasProcedure.put(PROCEDIMIENTO_CONSULTAS_ACTIVIDAD, inicioConfig);
		mapPestanasProcedure.put(PROCEDIMIENTO_ADAPTACION_DECRETO_ACTIVIDAD, inicioConfig);

		mapPestanasProcedure.put(PROCEDIMIENTO_DISPENSAS_ACTIVIDAD, commonConfig);

		mapPestanasProcedure.put(PROCEDIMIENTO_MODIFICACIONES_ACTIVIDAD, modConfig);
	}

	public static HashMap<String, List<String>> getMapPestanasByProcedure() {
		return mapPestanasProcedure;
	}

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA TIPOS DE REGISTRO: DETALLE O RESUMEN
	// ////////////////////////////////////////////////////////////////////////

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA TIPOS DE ESTABLECIMIENTOS
	// ////////////////////////////////////////////////////////////////////////

	public static final String CASA_RURAL = "X";
	public static final String AGROTURISMO = "K";
	public static final String HOTEL = "H";
	public static final String APARTAMENTO = "T";
	public static final String ALBERGUE_TURISTICO = "B";
	public static final String CAMPING = "P";
	public static final String AGENCIA_VIAJE = "A";
	public static final String HABITACIONES_CASAS_PARTICULARES = "L";
	public static final String VIVIENDAS_TURISTICAS = "E";
	public static final String COLEGIOS_MAY_RESI_ESTUDIANTES = "D";
	public static final String ALOJAMIENTO_INNOVADORES = "C";
	public static final String OTROS_ALOJAMIENTOS_INNOVADORES = "F";
	public static final String OTRAS_ACAMPADAS = "Q";
	public static final String AGRUPACIONES_EMPRESAS_TURISTICAS = "G";
	public static final String CENTRALES_RESERVAS = "I";
	public static final String MEDIADORAS_TURISTICAS = "J";
	public static final String OPERADOR_TURISMO = "M";
	public static final String GUIAS_TURISMO = "N";
	public static final String ACTIVIDADES_INTERES_TURISTICO = "R";

	// PESTANAS
	public static final String PESTANA_DATOS_ESTABLECIMIENTO = "PESTANA_DATOS_ESTABLECIMIENTO";
	public static final String PESTANA_INTERESADOS = "PESTANA_INTERESADOS";
	public static final String PESTANA_DATOS_ESPECIFICOS = "PESTANA_DATOS_ESPECIFICOS";
	public static final String PESTANA_EXP_RELACIONADOS = "PESTANA_EXP_RELACIONADOS";

	private static final HashMap<String, List<String>> mapPestanasEstablecimiento = new HashMap<String, List<String>>();
	static {

		ArrayList<String> CASA_RURAL_List = new ArrayList<String>();
		CASA_RURAL_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		CASA_RURAL_List.add(PESTANA_INTERESADOS);
		CASA_RURAL_List.add(PESTANA_DATOS_ESPECIFICOS);
		CASA_RURAL_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> AGROTURISMO_List = new ArrayList<String>();
		AGROTURISMO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		AGROTURISMO_List.add(PESTANA_INTERESADOS);
		AGROTURISMO_List.add(PESTANA_DATOS_ESPECIFICOS);
		AGROTURISMO_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> HOTEL_List = new ArrayList<String>();
		HOTEL_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		HOTEL_List.add(PESTANA_INTERESADOS);
		HOTEL_List.add(PESTANA_DATOS_ESPECIFICOS);
		HOTEL_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> APARTAMENTO_List = new ArrayList<String>();
		APARTAMENTO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		APARTAMENTO_List.add(PESTANA_INTERESADOS);
		APARTAMENTO_List.add(PESTANA_DATOS_ESPECIFICOS);
		APARTAMENTO_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> ALBERGUE_TURISTICO_List = new ArrayList<String>();
		ALBERGUE_TURISTICO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		ALBERGUE_TURISTICO_List.add(PESTANA_INTERESADOS);
		ALBERGUE_TURISTICO_List.add(PESTANA_DATOS_ESPECIFICOS);
		ALBERGUE_TURISTICO_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> CAMPING_List = new ArrayList<String>();
		CAMPING_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		CAMPING_List.add(PESTANA_INTERESADOS);
		CAMPING_List.add(PESTANA_DATOS_ESPECIFICOS);
		CAMPING_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> AGENCIA_VIAJE_List = new ArrayList<String>();
		AGENCIA_VIAJE_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		AGENCIA_VIAJE_List.add(PESTANA_INTERESADOS);
		AGENCIA_VIAJE_List.add(PESTANA_DATOS_ESPECIFICOS);
		AGENCIA_VIAJE_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> HABITACIONES_CASAS_PARTICULARES_List = new ArrayList<String>();
		HABITACIONES_CASAS_PARTICULARES_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		HABITACIONES_CASAS_PARTICULARES_List.add(PESTANA_INTERESADOS);
		HABITACIONES_CASAS_PARTICULARES_List.add(PESTANA_DATOS_ESPECIFICOS);
		HABITACIONES_CASAS_PARTICULARES_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> VIVIENDAS_TURISTICAS_List = new ArrayList<String>();
		VIVIENDAS_TURISTICAS_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		VIVIENDAS_TURISTICAS_List.add(PESTANA_INTERESADOS);
		VIVIENDAS_TURISTICAS_List.add(PESTANA_DATOS_ESPECIFICOS);
		VIVIENDAS_TURISTICAS_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> COLEGIOS_MAY_RESI_ESTUDIANTES_List = new ArrayList<String>();
		COLEGIOS_MAY_RESI_ESTUDIANTES_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		COLEGIOS_MAY_RESI_ESTUDIANTES_List.add(PESTANA_INTERESADOS);
		COLEGIOS_MAY_RESI_ESTUDIANTES_List.add(PESTANA_DATOS_ESPECIFICOS);
		COLEGIOS_MAY_RESI_ESTUDIANTES_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> ALOJAMIENTO_INNOVADORES_List = new ArrayList<String>();
		ALOJAMIENTO_INNOVADORES_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		ALOJAMIENTO_INNOVADORES_List.add(PESTANA_INTERESADOS);
		ALOJAMIENTO_INNOVADORES_List.add(PESTANA_DATOS_ESPECIFICOS);
		ALOJAMIENTO_INNOVADORES_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> OTROS_ALOJAMIENTOS_INNOVADORES_List = new ArrayList<String>();
		OTROS_ALOJAMIENTOS_INNOVADORES_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		OTROS_ALOJAMIENTOS_INNOVADORES_List.add(PESTANA_INTERESADOS);
		OTROS_ALOJAMIENTOS_INNOVADORES_List.add(PESTANA_DATOS_ESPECIFICOS);
		OTROS_ALOJAMIENTOS_INNOVADORES_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> OTRAS_ACAMPADAS_List = new ArrayList<String>();
		OTRAS_ACAMPADAS_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		OTRAS_ACAMPADAS_List.add(PESTANA_INTERESADOS);
		OTRAS_ACAMPADAS_List.add(PESTANA_DATOS_ESPECIFICOS);
		OTRAS_ACAMPADAS_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> AGRUPACIONES_EMPRESAS_TURISTICAS_List = new ArrayList<String>();
		AGRUPACIONES_EMPRESAS_TURISTICAS_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		AGRUPACIONES_EMPRESAS_TURISTICAS_List.add(PESTANA_INTERESADOS);
		AGRUPACIONES_EMPRESAS_TURISTICAS_List.add(PESTANA_DATOS_ESPECIFICOS);
		AGRUPACIONES_EMPRESAS_TURISTICAS_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> CENTRALES_RESERVAS_List = new ArrayList<String>();
		CENTRALES_RESERVAS_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		CENTRALES_RESERVAS_List.add(PESTANA_INTERESADOS);
		CENTRALES_RESERVAS_List.add(PESTANA_DATOS_ESPECIFICOS);
		CENTRALES_RESERVAS_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> MEDIADORAS_TURISTICAS_List = new ArrayList<String>();
		MEDIADORAS_TURISTICAS_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		MEDIADORAS_TURISTICAS_List.add(PESTANA_INTERESADOS);
		MEDIADORAS_TURISTICAS_List.add(PESTANA_DATOS_ESPECIFICOS);
		MEDIADORAS_TURISTICAS_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> OPERADOR_TURISMO_List = new ArrayList<String>();
		OPERADOR_TURISMO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		OPERADOR_TURISMO_List.add(PESTANA_INTERESADOS);
		OPERADOR_TURISMO_List.add(PESTANA_DATOS_ESPECIFICOS);
		OPERADOR_TURISMO_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> GUIAS_TURISMO_List = new ArrayList<String>();
		GUIAS_TURISMO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		GUIAS_TURISMO_List.add(PESTANA_INTERESADOS);
		GUIAS_TURISMO_List.add(PESTANA_DATOS_ESPECIFICOS);
		GUIAS_TURISMO_List.add(PESTANA_EXP_RELACIONADOS);

		ArrayList<String> ACTIVIDADES_INTERES_TURISTICO_List = new ArrayList<String>();
		ACTIVIDADES_INTERES_TURISTICO_List.add(PESTANA_DATOS_ESTABLECIMIENTO);
		ACTIVIDADES_INTERES_TURISTICO_List.add(PESTANA_INTERESADOS);
		ACTIVIDADES_INTERES_TURISTICO_List.add(PESTANA_DATOS_ESPECIFICOS);
		ACTIVIDADES_INTERES_TURISTICO_List.add(PESTANA_EXP_RELACIONADOS);

		mapPestanasEstablecimiento.put(CASA_RURAL, CASA_RURAL_List);
		mapPestanasEstablecimiento.put(AGROTURISMO, AGROTURISMO_List);
		mapPestanasEstablecimiento.put(HOTEL, HOTEL_List);
		mapPestanasEstablecimiento.put(APARTAMENTO, APARTAMENTO_List);
		mapPestanasEstablecimiento.put(ALBERGUE_TURISTICO, ALBERGUE_TURISTICO_List);
		mapPestanasEstablecimiento.put(CAMPING, CAMPING_List);
		mapPestanasEstablecimiento.put(AGENCIA_VIAJE, AGENCIA_VIAJE_List);
		mapPestanasEstablecimiento.put(HABITACIONES_CASAS_PARTICULARES, HABITACIONES_CASAS_PARTICULARES_List);
		mapPestanasEstablecimiento.put(VIVIENDAS_TURISTICAS, VIVIENDAS_TURISTICAS_List);
		mapPestanasEstablecimiento.put(COLEGIOS_MAY_RESI_ESTUDIANTES, COLEGIOS_MAY_RESI_ESTUDIANTES_List);
		mapPestanasEstablecimiento.put(ALOJAMIENTO_INNOVADORES, ALOJAMIENTO_INNOVADORES_List);
		mapPestanasEstablecimiento.put(OTROS_ALOJAMIENTOS_INNOVADORES, OTROS_ALOJAMIENTOS_INNOVADORES_List);
		mapPestanasEstablecimiento.put(OTRAS_ACAMPADAS, OTRAS_ACAMPADAS_List);
		mapPestanasEstablecimiento.put(AGRUPACIONES_EMPRESAS_TURISTICAS, AGRUPACIONES_EMPRESAS_TURISTICAS_List);
		mapPestanasEstablecimiento.put(CENTRALES_RESERVAS, CENTRALES_RESERVAS_List);
		mapPestanasEstablecimiento.put(MEDIADORAS_TURISTICAS, MEDIADORAS_TURISTICAS_List);
		mapPestanasEstablecimiento.put(OPERADOR_TURISMO, OPERADOR_TURISMO_List);
		mapPestanasEstablecimiento.put(GUIAS_TURISMO, GUIAS_TURISMO_List);
		mapPestanasEstablecimiento.put(ACTIVIDADES_INTERES_TURISTICO, ACTIVIDADES_INTERES_TURISTICO_List);

	}

	public static HashMap<String, List<String>> getmapPestanasEstablecimiento() {
		return mapPestanasEstablecimiento;
	}

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES MOSTRAR
	// ////////////////////////////////////////////////////////////////////////
	public static final int ACTIVOS = 0;
	public static final int BAJA = 1;
	public static final int AMBOS = 2;

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES tipo tercero
	// ////////////////////////////////////////////////////////////////////////

	public static final String TIPO_REGISTRO_DEFINITIVO = "D";

	public static final String ERROR_GENERICO_GUARDADO = "datos_guardados_error";
	public static final String ERROR_GENERICO = "errorGenerico";

	public static final String OK_GENERICO_GUARDADO = "datos_guardados_OK";
	public static final String OK_GENERICO_BORRADO = "datos_eliminados_OK";

	public static final int AJAX_ERROR = 0;
	public static final int AJAX_OK = 1;

	public static final Integer FILTER_SOLO_ACTIVOS = 1;
	public static final Integer FILTER_SOLO_INACTIVOS = 2;

	public static final String KEY_AJAX_ERROR = "error";
	public static final String KEY_AJAX_MESSAGE = "message";
	public static final String KEY_AJAX_CALLBACK = "callback";

	public static final String KEY_TITLE_UPDATED = "titleUpdated";
	public static final String KEY_TITLE_COMPLETE = "titleComplete";
	public static final String KEY_FOLDER_ID = "folderId";

	// /////////////////////////////
	// MAPA PERFIL USUARIO PROVINCIA
	// /////////////////////////////

	public static final String PERFIL_RESPONSABLE_TURISMO = "AB78-PF-0005";
	public static final String PERFIL_RESPONSABLE_TURISMO_ARABA = "AB78-PF-0011";
	public static final String PERFIL_RESPONSABLE_TURISMO_BIZKAIA = "AB78-PF-0012";
	public static final String PERFIL_RESPONSABLE_TURISMO_GIPUZKOA = "AB78-PF-0013";
	public static final String PERFIL_TECNICO_TURISMO = "AB78-PF-0006";
	public static final String PERFIL_TECNICO_TURISMO_ARABA = "AB78-PF-0014";
	public static final String PERFIL_TECNICO_TURISMO_BIZKAIA = "AB78-PF-0015";
	public static final String PERFIL_TECNICO_TURISMO_GIPUZKOA = "AB78-PF-0016";

	public static final String PERFIL_RESPONSABLE_COMERCIO = "AB78-PF-0007";
	public static final String PERFIL_RESPONSABLE_COMERCIO_ARABA = "AB78-PF-0017";
	public static final String PERFIL_RESPONSABLE_COMERCIO_BIZKAIA = "AB78-PF-0018";
	public static final String PERFIL_RESPONSABLE_COMERCIO_GIPUZKOA = "AB78-PF-0019";
	public static final String PERFIL_TECNICO_COMERCIO = "AB78-PF-0008";
	public static final String PERFIL_TECNICO_COMERCIO_ARABA = "AB78-PF-0020";
	public static final String PERFIL_TECNICO_COMERCIO_BIZKAIA = "AB78-PF-0021";
	public static final String PERFIL_TECNICO_COMERCIO_GIPUZKOA = "AB78-PF-0022";

	public static final String CODIGO_ARABA = "01";
	public static final String CODIGO_BIZKAIA = "48";
	public static final String CODIGO_GIPUZKOA = "20";
	public static final String CODIGO_ESPANA = "ES";
	public static final String CODIGO_EXTRANJERO = "EX";

	public static final String DPTO_TURISMO = "1";
	public static final String DPTO_COMERCIO = "2";
	public static final String DPTO_CONSUMO = "3";

	// public static final String INSTANCIA_RESPONSABLE_TURISMO_ARABA =
	// "AB78-PF-0011";
	public static final String INSTANCIA_RESPONSABLE_TURISMO = "AB78-IN-0002";
	public static final String INSTANCIA_RESPONSABLE_TURISMO_ARABA = "AB78-IN-0006";
	public static final String INSTANCIA_RESPONSABLE_TURISMO_BIZKAIA = "AB78-IN-0007";
	public static final String INSTANCIA_RESPONSABLE_TURISMO_GIPUZKOA = "AB78-IN-0008";
	public static final String INSTANCIA_TECNICO_TURISMO = "AB78-IN-0003";
	public static final String INSTANCIA_TECNICO_TURISMO_ARABA = "AB78-IN-0009";
	public static final String INSTANCIA_TECNICO_TURISMO_BIZKAIA = "AB78-IN-0010";
	public static final String INSTANCIA_TECNICO_TURISMO_GIPUZKOA = "AB78-IN-0011";

	public static final String INSTANCIA_RESPONSABLE_COMERCIO_ARABA = "AB78-IN-0012";
	public static final String INSTANCIA_RESPONSABLE_COMERCIO_BIZKAIA = "AB78-IN-0013";
	public static final String INSTANCIA_RESPONSABLE_COMERCIO_GIPUZKOA = "AB78-IN-0014";
	public static final String INSTANCIA_TECNICO_COMERCIO = "AB78-IN-0005";
	public static final String INSTANCIA_TECNICO_COMERCIO_ARABA = "AB78-IN-0015";
	public static final String INSTANCIA_TECNICO_COMERCIO_BIZKAIA = "AB78-IN-0016";
	public static final String INSTANCIA_TECNICO_COMERCIO_GIPUZKOA = "AB78-IN-0017";

	private static final HashMap<String, String> mapaTTHH = new HashMap<String, String>();
	static {
		mapaTTHH.put("1", "VI");
		mapaTTHH.put("01", "VI");
		mapaTTHH.put("20", "SS");
		mapaTTHH.put("48", "BI");
	}

	public static HashMap<String, String> getMapaTTHH() {
		return mapaTTHH;
	}

	private static final HashMap<String, String> mapaInstanciaProvincia = new HashMap<String, String>();
	static {

		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_TURISMO_ARABA, CODIGO_ARABA);
		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_TURISMO_BIZKAIA, CODIGO_BIZKAIA);
		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_TURISMO_GIPUZKOA, CODIGO_GIPUZKOA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_TURISMO_ARABA, CODIGO_ARABA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_TURISMO_BIZKAIA, CODIGO_BIZKAIA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_TURISMO_GIPUZKOA, CODIGO_GIPUZKOA);

		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_COMERCIO_ARABA, CODIGO_ARABA);
		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_COMERCIO_BIZKAIA, CODIGO_BIZKAIA);
		mapaInstanciaProvincia.put(INSTANCIA_RESPONSABLE_COMERCIO_GIPUZKOA, CODIGO_GIPUZKOA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_COMERCIO_ARABA, CODIGO_ARABA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_COMERCIO_BIZKAIA, CODIGO_BIZKAIA);
		mapaInstanciaProvincia.put(INSTANCIA_TECNICO_COMERCIO_GIPUZKOA, CODIGO_GIPUZKOA);
	}
	private static final HashMap<String, String> mapaInstanciaDpto = new HashMap<String, String>();
	static {

		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_TURISMO, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_TURISMO_ARABA, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_TURISMO_BIZKAIA, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_TURISMO_GIPUZKOA, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_TURISMO_ARABA, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_TURISMO_BIZKAIA, DPTO_TURISMO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_TURISMO_GIPUZKOA, DPTO_TURISMO);

		mapaInstanciaDpto.put(INSTANCIA_TECNICO_COMERCIO, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_COMERCIO_ARABA, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_COMERCIO_BIZKAIA, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_RESPONSABLE_COMERCIO_GIPUZKOA, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_COMERCIO_ARABA, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_COMERCIO_BIZKAIA, DPTO_COMERCIO);
		mapaInstanciaDpto.put(INSTANCIA_TECNICO_COMERCIO_GIPUZKOA, DPTO_COMERCIO);
	}
	private static final HashMap<String, String> mapaPerfilProvincia = new HashMap<String, String>();
	static {

		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_TURISMO_ARABA, CODIGO_ARABA);
		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_TURISMO_BIZKAIA, CODIGO_BIZKAIA);
		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_TURISMO_GIPUZKOA, CODIGO_GIPUZKOA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_TURISMO_ARABA, CODIGO_ARABA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_TURISMO_BIZKAIA, CODIGO_BIZKAIA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_TURISMO_GIPUZKOA, CODIGO_GIPUZKOA);

		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_COMERCIO_ARABA, CODIGO_ARABA);
		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_COMERCIO_BIZKAIA, CODIGO_BIZKAIA);
		mapaPerfilProvincia.put(PERFIL_RESPONSABLE_COMERCIO_GIPUZKOA, CODIGO_GIPUZKOA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_COMERCIO_ARABA, CODIGO_ARABA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_COMERCIO_BIZKAIA, CODIGO_BIZKAIA);
		mapaPerfilProvincia.put(PERFIL_TECNICO_COMERCIO_GIPUZKOA, CODIGO_GIPUZKOA);
	}

	public static HashMap<String, String> getMapaPerfilProvincia() {
		return mapaPerfilProvincia;
	}

	public static HashMap<String, String> getMapaInstanciaProvincia() {
		return mapaInstanciaProvincia;
	}

	public static HashMap<String, String> getMapaInstanciaDpto() {
		return mapaInstanciaDpto;
	}

	private static final HashMap<String, String> mapaPerfilDpto = new HashMap<String, String>();
	static {

		mapaPerfilDpto.put(PERFIL_RESPONSABLE_TURISMO, DPTO_TURISMO);
		mapaPerfilDpto.put(PERFIL_TECNICO_TURISMO, DPTO_TURISMO);
		mapaPerfilDpto.put(PERFIL_RESPONSABLE_COMERCIO, DPTO_COMERCIO);
		mapaPerfilDpto.put(PERFIL_TECNICO_COMERCIO, DPTO_COMERCIO);

	}

	public static HashMap<String, String> getmapaPerfilDpto() {
		return mapaPerfilDpto;
	}

	public static final Long ID_NORA_ESP = 108L;

	public static final int AB79_ORIGEN_DENUNCIAS = 5;
	public static final int AB79_ORIGEN_DENUNCIAS_NO_FORMALES = 6;

	public static final String RECLAMACION = "0";
	public static final String ORDENACION = "1";

	public static final String TIPIFICACION_ALOJAMIENTO = "A";
	public static final String TIPIFICACION_MEDIACION = "M";
	public static final String TIPIFICACION_PROFESIONES_TURISTICAS = "P";
	public static final String TIPIFICACION_OTRAS_ACAMPADAS = "Q";
	public static final String TIPIFICACION_INTERES_TURISTICO = "R";
	public static final String TIPIFICACION_OTROS = "O";
	public static final String ETIQUETA_FECHA_EXP_CIERRE = "FECHA_CIERRE";
	public static final String ETIQUETA_FECHA_EXP_APERTURA = "FECHA_APERTURA";

	// Constantes para la comprobaciÃ³n de totales Resumen/Detalle de las
	// unidades alojativas.

	/**
	 * TiposEspecialidades: Constantes para los tipos de especialidades (solo
	 * fijos).
	 *
	 * 
	 */

	/** CONSTANTES PARA TRATAMIENTO DE MENSAJES RECIBIDOS EN LA COLA */

	public static final int ESTABLECIMIENTO_CENSADO = 0;
	public static final int ESTABLECIMIENTO_NO_CENSADO = 1;

	public static final Integer DECISION_ES_FORMAL = 0;
	public static final Integer DECISION_ES_NO_FORMAL = 1;

	public static final Integer ID_DECISION_OTROS_NO_FORMAL = 15;

	public static final String SESSIONKEY_ULTIMO_EXPEDIENTE = "ultimoExpediente";
	public static final String SESSIONKEY_ULTIMO_EXPEDIENTE_MIGRADO = "ultimoExpedienteMigrado";

	// /////////////////////////////
	// TIPOS DE DENUNCIA
	// /////////////////////////////
	public static final Integer TIPO_DENUNCIA_FORMAL = 1;
	public static final Integer TIPO_DENUNCIA_NO_FORMAL = 2;

}
